classdef KalibConst
    % stale do obliczen wspolczynnikow kalibracji kamery
    %   Detailed explanation goes here
    
    properties (Constant)
    % wspolczynniki macierzy wejsciowej linearyzacji
    kod = 1;
    pix_x = 2;
    pix_y = 3;
    pl_x = 4;
    pl_y = 5;
    qpix_x = 6;
    qpix_y = 7;
    qpl_x = 8;
    qpl_y = 9;
    rpix_x = 10;
    rpix_y = 11;
    rpl_x = 12;
    rpl_y = 13;
    mac_we_lin_wymiar = 13;
    % wspolczynniki macierzy wejsciowej kalibracji
    master_x = 6;
    master_y = 7;
    qglob_x = 8;
    qglob_y = 9;
    rglob_x = 10;
    rglob_y = 11;
    mac_we_kal_wymiar = 11;
 
    
    % wspolczynniki macierzy lokalnej
    loc_x_i = 1;
    loc_y_i = 2;
    loc_raw_x_i = 3;
    loc_raw_y_i = 4;
    mas_x_i = 5;
    mas_y_i = 6;
    glob_x_i = 7;
    glob_y_i = 8;
    glob_mas_x_i = 9;
    glob_mas_y_i = 10;
    loc_size_i = KalibConst.glob_mas_y_i;

    ACTION_INPUT_FILE_DEF = 1;
    ACTION_LIN_COEFF_FILE_DEF = 2;
    ACTION_KAL_COEFF_DIR_DEF = 3;
    ACTION_CALCULATE_COEFFICIENTS = 100;
  
    CONTROL_MAIN_WINDOW = 1;
    CONTROL_INPUT_FILENAME = 3;
    CONTROL_INPUT_FILENAME_DEF = 4;
    CONTROL_LIN_FILENAME = 6;
    CONTROL_LIN_FILENAME_DEF = 7;
    CONTROL_COEFF_DIR = 9;
    CONTROL_COEFF_DIR_DEF = 10;
    CONTROL_MAC_ADDRESS = 12;
    CONTROL_TRANSFORMATION_METHOD = 13;
    CONTROL_RIFTEK_GAUGE = 14;
    CONTROL_X_MIN = 17;
    CONTROL_X_MAX = 19;
    CONTROL_Y_MIN = 21;
    CONTROL_Y_MAX = 23;
    CONTROL_ERROR_LIMIT_X = 26;
    CONTROL_ERROR_LIMIT_Y = 28;
    CONTROL_RESULT_DETAILS = 30;
    CONTROL_CORRECTION_DETAILS = 31;
    
    end

    methods
    end
    
end

