function [ ] = zapisz_wsp_kalibracji( file, camera_name, D_loc, m_loc, wpo, wps, rms )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
% wersja 100 do w(12);
% wersja 110 do w(16);
    fID = fopen(file, 'w');
    fprintf( fID, '%s\n\n', camera_name);
    fprintf( fID, 'a11 = %.8f  a12 = %.8f  s1 = %.8f\n', wpo(1,1), wpo(1,2), wps(1));
    fprintf( fID, 'a21 = %.8f  a22 = %.8f  s2 = %.8f\n', wpo(2,1), wpo(2,2), wps(2));

    fprintf( fID, '\n***   Test data   ***\n\n%f %f %f %u\n', rms(1,1), rms(2,1), rms(3,1), m_loc);
    for i = 1:m_loc
        fprintf( fID, '%.2f %.2f %.3f %.3f %.3f %.3f %.3f %.3f\n', D_loc(i, KalibConst.loc_x_i), D_loc(i, KalibConst.loc_y_i), D_loc(i, KalibConst.mas_x_i), D_loc(i, KalibConst.mas_y_i), ...
            D_loc(i, KalibConst.glob_x_i), D_loc(i, KalibConst.glob_y_i), D_loc(i, KalibConst.glob_mas_x_i), D_loc(i, KalibConst.glob_mas_y_i));
    end
    fclose(fID);

end

