function [ h ] = source_data_graph( D_out, figure_id,  sampling_period, input_file, ext_txt )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

[m, n] = size(D_out);
Hn = 0:m-1;
Hn = Hn * sampling_period;
h = figure(figure_id)
subplot(3,1,1);
plot(Hn, D_out(:, GyrosConst.GyroINN_p_y), '-b');
legend('GU200');
xlabel('czas przejazdu [s]')
ylabel('prdko ktowa [/s]')
str = [input_file ext_txt ': yroskop przechyki ' ];
title( str, 'FontWeight','bold');

subplot(3,1,2);
plot(Hn, D_out(:, GyrosConst.GyroINN_r_x), '-b');
legend('GU200');
xlabel('czas przejazdu [s]')
ylabel('prdko ktowa [/s]')
str = [input_file ext_txt ': yroskopy  obrotu' ];
title( str, 'FontWeight','bold');

subplot(3,1,3);
plot(Hn, D_out(:, GyrosConst.AccelINN_p), '-b');
legend('Accel. INN-203');
xlabel('czas przejazdu [s]')
ylabel('przyspieszenie [g]')
%str = 'Przyspieszeniomierze przechyki' ;
str = 'Przyspieszeniomierz przechyki' ;
title( str, 'FontWeight','bold');


end

